commit:     8d4b9416fc13c09d4915c615de3f9cb499eaa18b
Author:     Ionen Wolkens <sudinave <AT> gmail <DOT> com>
AuthorDate: Thu Apr 15 08:46:53 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Apr 15 09:51:19 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8d4b9416

net-misc/x11-ssh-askpass: remove unneeded command call

simplifying using xmkmf -a here was not a good idea, surprising
that it worked at all preventing this from being noticed.

Fixes: 9d02b021fb62f75f7df091530f19b0582aa601af
Closes: https://bugs.gentoo.org/782988
Signed-off-by: Ionen Wolkens <sudinave <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/20391
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-misc/x11-ssh-askpass/x11-ssh-askpass-1.2.4.1-r2.ebuild | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/net-misc/x11-ssh-askpass/x11-ssh-askpass-1.2.4.1-r2.ebuild 
b/net-misc/x11-ssh-askpass/x11-ssh-askpass-1.2.4.1-r2.ebuild
index 4d294cbd507..a799f42b4c5 100644
--- a/net-misc/x11-ssh-askpass/x11-ssh-askpass-1.2.4.1-r2.ebuild
+++ b/net-misc/x11-ssh-askpass/x11-ssh-askpass-1.2.4.1-r2.ebuild
@@ -27,10 +27,11 @@ src_configure() {
        econf --libexecdir=/usr/"$(get_libdir)"/misc \
                --disable-installing-app-defaults
        CC="$(tc-getBUILD_CC)" LD="$(tc-getLD)" \
-               IMAKECPP="${IMAKECPP:-$(tc-getCPP)}" xmkmf -a || die "xmkmf 
failed"
+               IMAKECPP="${IMAKECPP:-$(tc-getCPP)}" xmkmf || die "xmkmf failed"
 }
 
 src_compile() {
+       emake includes
        emake CC="$(tc-getCC)" CDEBUGFLAGS="${CFLAGS}"
 }
 

Reply via email to